public class Cinema
{
    private string name;   //   
    private string movie;  //   
    private bool[,] freeSeats;   //    
    private const int ROWS = 10;
    private const int COLS = 20;
    //   
    public Cinema(string aName, string aMovie)
    {
        name = aName;
        movie = aMovie;
        freeSeats = new bool[ROWS, COLS];
        //     
        for (int i = 0; i < ROWS; i++)
            for (int j = 0; j < COLS; j++)
                freeSeats[i, j] = false;
    }
    // :       
    public string GetMovie()
    {
        return movie;
    }
    //  :      
    public string GetName()
    {
        return name;
    }
    //  :      
    public void SetMovie(string aMovie)
    {
        movie = aMovie;
    }
    //         
    public bool IsShowing(string aMovie)
{
    return (aMovie == movie);
}
    //        
    public string GetAvailableSeats()
    {
        string availableSeats = "";
        for (int i = 0; i < freeSeats.GetLength(0); i++)
            for (int j = 0; j < freeSeats.GetLength(1); j++)
                if (freeSeats[i, j])    // freeSeats[i,j]==true: 
                    availableSeats = availableSeats + i + " " + j + "\n";
        return availableSeats;
    }
    //          
    // ""    ""  
    public bool SetSeatAsTaken(int rowSeat, int colSeat)
    {
        if (freeSeats[rowSeat, colSeat])
        {
            freeSeats[rowSeat, colSeat] = false;
            return true;
        }
        else
            return false;
    }
} // class Cinema
