/*     */
public class Password
{
    //         
    public static string encrypt(string pass)
    {
        string encryptedPass = "";
        for (int i = 0; i < pass.Length; i++)
        {
            char curChar = pass[i];
            if (IsDigit(curChar))
                encryptedPass += GetPrevDigit(curChar);
            else if (IsLetter(curChar))
                encryptedPass += GetNextLetter(curChar);
        }
        return encryptedPass;
    }
    //         
    public static string decrypt(string pass)
    {
        string decryptedPass = "";
        for (int i = 0; i < pass.Length; i++)
        {
            char curChar = pass[i];
            if (IsDigit(curChar))
                decryptedPass += GetNextDigit(curChar);
            else if (IsLetter(curChar))
                decryptedPass += GetPrevLetter(curChar);
        }
        return decryptedPass;
    }
    //    ""    ""     
    public static bool IsLegal(string pass)
    {
        bool hasLetter = false, hasDigit = false;
        int len = pass.Length;
        if (len < 6 || len > 8)
            return false;
        for (int i = 0; i < pass.Length; i++)
        {
            char curChar = pass[i];
            if (IsDigit(curChar))
                hasDigit = true;
            else if (IsLetter(curChar))
                hasLetter = true;
            else
                return false;
        }
        return (hasLetter && hasDigit);
    }
    //      
    private static bool IsDigit(char ch)
    {
        return (ch >= '0' && ch <= '9');
    }
    private static char GetPrevDigit(char ch)
    {
        if (ch == '0')
            return '9';
        return (char)(ch - 1);
    }
    private static char GetNextDigit(char ch)
    {
        if (ch == '9')
            return '0';
        return (char)(ch + 1);
    }
    private static bool IsLetter(char ch)
    {
        return ((ch >= 'a' && ch <= 'z') || (ch >= 'A' && ch <= 'Z'));
    }
    private static char GetNextLetter(char ch)
    {
        if (ch == 'z')
            return 'a';
        if (ch == 'Z')
            return 'A';
        return (char)(ch + 1);
    }
    private static char GetPrevLetter(char ch)
    {
        if (ch == 'a')
            return 'z';
        if (ch == 'A')
            return 'Z';
        return (char)(ch - 1);
    }
}
