using System;
/*     */
public class TicketFactory
{
    //  
    private const int TOTAL_PRIZE = 1000000;
    private int ticketCounter;
    private int winTicketCounter;
    //  
    public TicketFactory(int totalNumOfTickets)
    {
        ticketCounter = totalNumOfTickets;
        winTicketCounter = 0; //   
    }
    //     
    public int GetNextLuckyNum()
    {
        if (ticketCounter <= 0)
            return 0;
        ticketCounter--;
        Random rnd = new Random();
        //     8 
        int num = rnd.Next(10000000, 100000000);
        if (IsWinnerNum(num))
            winTicketCounter++;
        return num;
    }
    //        
    public double GetWinningPrize()
    {
        if (winTicketCounter == 0)
            return 0;
        else
            return (double)TOTAL_PRIZE / winTicketCounter;
    }
    //        
    private bool IsWinnerNum(int num)
    {
        return (GetDigitsSum(num / 10000) ==
                                GetDigitsSum(num % 10000));
    }
    //       
    private int GetDigitsSum(int num)
    {
        int sum = 0;
        while (num > 0)
        {
            sum += num % 10;
            num /= 10;
        }
        return sum;
    }
}
